Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.groovy
Class OldGroovyNodeBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              org.nanocontainer.script.groovy.OldGroovyNodeBuilder

All Implemented Interfaces:
  groovy.lang.GroovyObject

Deprecated. Since version 1.0-RC-3, use GroovyNodeBuilder instead.

    public class OldGroovyNodeBuilder

extends groovy.util.BuilderSupport

Builds node trees of PicoContainers and Pico components using GroovyMarkup.

Simple example usage in your groovy script: ``

     builder = new org.nanocontainer.script.groovy.OldGroovyNodeBuilder()
     pico = builder.container(parent:parent) {
       component(class:org.nanocontainer.testmodel.DefaultWebServerConfig)
       component(class:org.nanocontainer.testmodel.WebServerImpl)
     }

Version:
  $Revision: 3144 $
Author:
  James Strachan, Paul Hammant, Aslak Hellesøy, Michael Rimov, Mauro Talevi

Constructor Summary
`OldGroovyNodeBuilder()` Deprecated.
`OldGroovyNodeBuilder(org.nanocontainer.script.NodeBuilderDecorationDelegate decorationDelegate)` Deprecated.

Method Summary
`protected Object` | `createBean(Map attributes)` Deprecated.
`protected org.nanocontainer.NanoContainer` | `createChildContainer(Map attributes, org.nanocontainer.NanoContainer parent)` Deprecated. Creates a new container.
`protected org.nanocontainer.NanoContainer` | `createComponentClassLoader(org.nanocontainer.NanoContainer parent)` Deprecated.
`protected Object` | `createNode(Object name)` Deprecated.
`protected Object` | `createNode(Object name, Map attributes)` Deprecated.
`protected Object` | `createNode(Object name, Map attributes, Object value)` Deprecated. Override of create node.
`protected Object` | `createNode(Object name, Object value)` Deprecated.
`protected Object` | `doInvokeMethod(String s, Object name, Object args)` Deprecated.
`protected void` | `setClosureDelegate(groovy.lang.Closure closure, Object o)` Deprecated.
`protected void` | `setParent(Object parent, Object child)` Deprecated.

Methods inherited from class groovy.util.BuilderSupport
`getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setCurrent`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OldGroovyNodeBuilder

    public OldGroovyNodeBuilder(org.nanocontainer.script.NodeBuilderDecorationDelegate decorationDelegate)

  Deprecated.

### OldGroovyNodeBuilder

    public OldGroovyNodeBuilder()

  Deprecated.

Method Detail

### setParent

    protected void setParent(Object parent,
                             Object child)

  Deprecated.
  Specified by:
    `setParent` in class `groovy.util.BuilderSupport`

### doInvokeMethod

    protected Object doInvokeMethod(String s,
                                    Object name,
                                    Object args)

  Deprecated.
  Overrides:
    `doInvokeMethod` in class `groovy.util.BuilderSupport`

### setClosureDelegate

    protected void setClosureDelegate(groovy.lang.Closure closure,
                                      Object o)

  Deprecated.
  Overrides:
    `setClosureDelegate` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object name)

  Deprecated.
  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object name,
                                Object value)

  Deprecated.
  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object name,
                                Map attributes,
                                Object value)

  Deprecated.
  Override of create node. Called by BuilderSupport. It examines the current state of the builder and the given parameters and dispatches the code to one of the create private functions in this object.

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`
  Parameters:
    `name` - The name of the groovy node we're building. Examples are 'container', and 'grant',
    `attributes` - Map attributes of the current invocation.
  Returns:
    Object the created object.

### createNode

    protected Object createNode(Object name,
                                Map attributes)

  Deprecated.
  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### createChildContainer

    protected org.nanocontainer.NanoContainer createChildContainer(Map attributes,
                                                                   org.nanocontainer.NanoContainer parent)

  Deprecated.
  Creates a new container. There may or may not be a parent to this container. Supported attributes are:
  - `componentAdapterFactory`: The ComponentAdapterFactory used for new container
  - `componentMonitor`: The ComponentMonitor used for new container

  Parameters:
    `attributes` - Map Attributes defined by the builder in the script.
    `parent` - The parent container
  Returns:
    The NanoContainer

### createComponentClassLoader

    protected org.nanocontainer.NanoContainer createComponentClassLoader(org.nanocontainer.NanoContainer parent)

  Deprecated.

### createBean

    protected Object createBean(Map attributes)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.